WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Not Compatible with version 3.5

[Resolved] Not Compatible with version 3.5

  • As soon as I updated wordpress the quizzes get this error message..I tried the same thing with other sites with m touch quiz and get the same eroor.

    Warning: Missing argument 2 for wpdb::prepare(), called in /home/jaime/public_html/domain.com/wp-content/plugins/mtouch-quiz/show_quiz.php on line 219 and defined in /home/jaime/public_html/domain.com/wp-includes/wp-db.php on line 990

    http://wordpress.org/extend/plugins/mtouch-quiz/

Viewing 14 replies - 1 through 14 (of 14 total)
  • Also im trying to enter database tables trough my phpadmin on a new multisite project and I noticed that the plugin doesn’t create the tables automatically when activated like it used to so i can import the tables with quizzes..I dont know if its related or something im doing wrong…Hope to find a solution..m touch quiz is a really great plugin and by far the best quiz plugin on wordpress.

    I’m getting the same warning about missing argument 2 on line 219, etc.

    Yes, same thing happening on my site. Just updated WordPress and I’m getting a similar error message. The quizzes still work but with the unsightly message at the top of the post.

    Plugin Author gmichaelguy

    @gmichaelguy

    I’ll look into this ASAP. look for a solution by the end of the day if at all possible. My apologies.

    Plugin Author gmichaelguy

    @gmichaelguy

    Hopefully sooner!

    For anyone needing a quick way to hide the error messages, found this on WordPress. Has worked for me:
    http://wordpress.org/support/topic/hide-php-error-message?replies=5

    Thanks Michael!

    Plugin Author gmichaelguy

    @gmichaelguy

    Thanks for alerting me to this. I’m a little busy at my dayjob. I’m in charge of deploying a computerized test to about 15,000 students in the next week or so and it’s kept me busy.

    I just uploaded an updated that should fix this. Please report back with future issues.

    Brilliant support Michael. Just updated and no more error messages. Many thanks and good luck with those 15,000 test takers! Donation on the way.

    Hi Michael, the error message has been fixed for me but I’m still not able to create any quizzes..Anytime I try to create new quiz it goes trough all the procedures but it dosen;t save the quiz.

    I checked the backend with my phpadmmin and no m touch quiz tables are created..any idea on what I can do to fix this?

    I have a multisite, with twenty twelve theme and have removed all other plugins on the site.

    Cheers.

    Thank you very much for the fix, it’s working fine now.

    @bojan85 I’ve just tried a new quiz on single site with Twentyeleven and it worked fine, don’t know if that helps.

    hmm could it be something to do with the site being a multisite..have tried everything but the quizzes just wont save after I create one..and no database tables are created for the plugin which is probably the reason the quizzes wont save.

    Plugin Author gmichaelguy

    @gmichaelguy

    Try to deactivate and reactivate it from the dashboard of the single site and not just at the central multi site level. That should fix you.

    Ok finally got it to work by manually inserting the mtouch quiz tables trough php myadmin. It seems to work for now thanks everyone and Michael for the help

Viewing 14 replies - 1 through 14 (of 14 total)
  • The topic ‘[Resolved] Not Compatible with version 3.5’ is closed to new replies.